#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (die with MemoryError)

Summary:	Low-level, data-driven core of boto 3
Summary(pl.UTF-8):	Niskopoziomowy, oparty na danych rdzeń boto 3
Name:		python3-botocore
Version:	1.23.21
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/botocore/
Source0:	https://files.pythonhosted.org/packages/source/b/botocore/botocore-%{version}.tar.gz
# Source0-md5:	ad79c50edeb9e8d14f5392c0ec28b593
URL:		https://pypi.org/project/botocore/
BuildRequires:	python3-dateutil >= 2.1
BuildRequires:	python3-jmespath >= 0.7.1
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-behave >= 1.2.5
BuildRequires:	python3-dateutil >= 2.1
BuildRequires:	python3-jmespath >= 0.7.1
BuildRequires:	python3-jsonschema >= 2.5.1
BuildRequires:	python3-nose >= 1.3.7
BuildRequires:	python3-urllib3 >= 1.25.4
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-guzzle_sphinx_theme
BuildRequires:	python3-jmespath >= 0.7.1
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI
(<https://github.com/aws/aws-cli>) as well as boto3
(<https://github.com/boto/boto3>).

%description -l pl.UTF-8
Niskopoziomowy interfejs do rosnącej liczby usług Amazon Web Services.
Pakiet botocore jest podstawą dla AWS CLI
(<https://github.com/aws/aws-cli>), jak i boto3
(<https://github.com/boto/boto3>).

%package apidocs
Summary:	API documentation for Python botocore module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona botocore
Group:		Documentation

%description apidocs
API documentation for Python botocore module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona botocore.

%prep
%setup -q -n botocore-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
nosetests-%{py3_ver} tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/botocore
%{py3_sitescriptdir}/botocore-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,development,reference,topics,tutorial,*.html,*.js}
%endif
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-botocore.git;a=log;h=master

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> b54aa6e
- up to 1.23.21

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> a476435
- up to 1.21.40

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> 4ec6e1a
- rename to python3-botocore

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d71703c
- release 2 (by relup.sh)

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> c49681b
- docs require jmespath

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0ada6fb
- new

